/* GTKabale - Solitaire game for lazy people

   Copyright (C) 1999 Ren Seindal (rene@seindal.dk)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 */

#ifndef DISPLAY_H_
#define DISPLAY_H_

#include "data.h"


enum display_status_t {
    DISPLAY_BAD_MOVE,
    DISPLAY_NO_MOVE,
    DISPLAY_CAN_MOVE,
    DISPLAY_AMBIGUOUS_MOVE,
    DISPLAY_WON,
    DISPLAY_LOST,
    DISPLAY_NONE
};
typedef enum display_status_t display_status_t;

void init_display(int, char**);
void init_windows();

void display_clear(void);
void display_info(void);
void display_layout(void);
void display_aces(void);
void display_deck(void);

void display_stack_less(stacknum_t sn);
void display_stack_more(stacknum_t sn);

void display_auto_mode(gboolean auto_mode);
void display_help(gboolean help_mode, gboolean can_move);
void display_status(display_status_t status);

void update_screen(void);

gboolean click_on_back(guint y);

void user_error(char *s);
void finish(char *s);

#endif /* DISPLAY_H_ */
